PCAP_OFFLINE_FILTER(3) |  | PCAP_OFFLINE_FILTER(3)

# NAME

pcap_offline_filter - check whether a filter matches a packet

# SYNOPSIS

#include <pcap/pcap.h>

int pcap_offline_filter(struct bpf_program *fp,
const struct pcap_pkthdr *h, const u_char *pkt)

# DESCRIPTION

pcap_offline_filter() checks whether a filter matches a packet. fp is a pointer to a bpf_program struct, usually the result of a call to pcap_compile(). h points to the pcap_pkthdr structure for the packet, and pkt points to the data in the packet.

# RETURN VALUE

pcap_offline_filter() returns the return value of the filter program. This will be zero if the packet doesn't match the filter and non-zero if the packet matches the filter.

# SEE ALSO

pcap(3), pcap_compile(3)

13 May 2008 |